Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.configuration
Class SimpleProvider

    java.lang.Object
      |
      +--org.apache.axis.configuration.SimpleProvider

All Implemented Interfaces:
  EngineConfiguration

Direct Known Subclasses:
  BasicClientConfig, BasicServerConfig

public class SimpleProvider
extends java.lang.Object
implements EngineConfiguration

A SimpleProvider is an EngineConfiguration which contains a simple HashMap-based registry of Handlers, Transports, and Services. This is for when you want to programatically deploy components which you create. SimpleProvider may also optionally contain a reference to a "default" EngineConfiguration, which will be scanned for components not found in the internal registry. This is handy when you want to start with a base configuration (like the default WSDD) and then quickly add stuff without changing the WSDD document.

Author:
  Glen Daniels (gdaniels@macromedia.com)

Fields inherited from interface org.apache.axis.EngineConfiguration
`PROPERTY_NAME`

Constructor Summary
`SimpleProvider()` Default constructor.
`SimpleProvider(EngineConfiguration defaultConfiguration)` Constructor which takes an EngineConfiguration which will be used as the default.

Method Summary
`void` | `configureEngine(AxisEngine engine)` Configure an AxisEngine.
`void` | `deployService(QName qname, SOAPService service)`
`void` | `deployService(java.lang.String name, SOAPService service)`
`void` | `deployTransport(QName qname, Handler transport)`
`void` | `deployTransport(java.lang.String name, Handler transport)`
`java.util.Iterator` | `getDeployedServices()` Get an enumeration of the services deployed to this engine
`java.util.Hashtable` | `getGlobalOptions()` Returns the global configuration options.
`Handler` | `getGlobalRequest()` Returns a global request handler.
`Handler` | `getGlobalResponse()` Returns a global response handler.
`Handler` | `getHandler(QName qname)` retrieve an instance of the named handler
`SOAPService` | `getService(QName qname)` retrieve an instance of the named service
`SOAPService` | `getServiceByNamespaceURI(java.lang.String namespace)` Get a service which has been mapped to a particular namespace
`Handler` | `getTransport(QName qname)` retrieve an instance of the named transport
`TypeMapping` | `getTypeMapping(java.lang.String encodingStyle)`
`TypeMappingRegistry` | `getTypeMappingRegistry()` Get our TypeMappingRegistry.
`void` | `writeEngineConfig(AxisEngine engine)` We don't write ourselves out, so this is a noop.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleProvider

    public SimpleProvider()

  Default constructor.

### SimpleProvider

    public SimpleProvider(EngineConfiguration defaultConfiguration)

  Constructor which takes an EngineConfiguration which will be used as the default.

Method Detail

### configureEngine

    public void configureEngine(AxisEngine engine)
                         throws ConfigurationException

  Configure an AxisEngine. Right now just calls the default configuration if there is one, since we don't do anything special.
  Specified by:
    `configureEngine` in interface `EngineConfiguration`
  Following copied from interface: `org.apache.axis.EngineConfiguration`
  Parameters:
    `engine` - the AxisEngine we'll deploy state to
  Throws:
    `ConfigurationException` - if there was a problem

### writeEngineConfig

    public void writeEngineConfig(AxisEngine engine)
                           throws ConfigurationException

  We don't write ourselves out, so this is a noop.
  Specified by:
    `writeEngineConfig` in interface `EngineConfiguration`
  Following copied from interface: `org.apache.axis.EngineConfiguration`
  Parameters:
    `engine` - the AxisEngine from which to read state.
  Throws:
    `ConfigurationException` - if there was a problem

### getGlobalOptions

    public java.util.Hashtable getGlobalOptions()
                                         throws ConfigurationException

  Returns the global configuration options.
  Specified by:
    `getGlobalOptions` in interface `EngineConfiguration`

### getGlobalResponse

    public Handler getGlobalResponse()
                              throws ConfigurationException

  Returns a global response handler.
  Specified by:
    `getGlobalResponse` in interface `EngineConfiguration`

### getGlobalRequest

    public Handler getGlobalRequest()
                             throws ConfigurationException

  Returns a global request handler.
  Specified by:
    `getGlobalRequest` in interface `EngineConfiguration`

### getTypeMappingRegistry

    public TypeMappingRegistry getTypeMappingRegistry()
                                               throws ConfigurationException

  Get our TypeMappingRegistry. Returns our specific one if we have one, otherwise the one from our defaultConfiguration. If we don't have one and also don't have a defaultConfiguration, we create one.
  Specified by:
    `getTypeMappingRegistry` in interface `EngineConfiguration`

### getTypeMapping

    public TypeMapping getTypeMapping(java.lang.String encodingStyle)
                               throws ConfigurationException

### getTransport

    public Handler getTransport(QName qname)
                         throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  retrieve an instance of the named transport
  Specified by:
    `getTransport` in interface `EngineConfiguration`
  Following copied from interface: `org.apache.axis.EngineConfiguration`
  Parameters:
    `qname` - XXX
  Returns:
    XXX
  Throws:
    `ConfigurationException` - XXX

### getService

    public SOAPService getService(QName qname)
                           throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  retrieve an instance of the named service
  Specified by:
    `getService` in interface `EngineConfiguration`
  Following copied from interface: `org.apache.axis.EngineConfiguration`
  Parameters:
    `qname` - XXX
  Returns:
    XXX
  Throws:
    `ConfigurationException` - XXX

### getServiceByNamespaceURI

    public SOAPService getServiceByNamespaceURI(java.lang.String namespace)
                                         throws ConfigurationException

  Get a service which has been mapped to a particular namespace
  Specified by:
    `getServiceByNamespaceURI` in interface `EngineConfiguration`
  Parameters:
    `namespace` - a namespace URI
  Returns:
    an instance of the appropriate Service, or null

### getHandler

    public Handler getHandler(QName qname)
                       throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  retrieve an instance of the named handler
  Specified by:
    `getHandler` in interface `EngineConfiguration`
  Following copied from interface: `org.apache.axis.EngineConfiguration`
  Parameters:
    `qname` - XXX
  Returns:
    XXX
  Throws:
    `ConfigurationException` - XXX

### deployService

    public void deployService(QName qname,
                              SOAPService service)

### deployService

    public void deployService(java.lang.String name,
                              SOAPService service)

### deployTransport

    public void deployTransport(QName qname,
                                Handler transport)

### deployTransport

    public void deployTransport(java.lang.String name,
                                Handler transport)

### getDeployedServices

    public java.util.Iterator getDeployedServices()
                                           throws ConfigurationException

  Get an enumeration of the services deployed to this engine
  Specified by:
    `getDeployedServices` in interface `EngineConfiguration`
  Following copied from interface: `org.apache.axis.EngineConfiguration`
  Returns:
    something to iterate with
  See Also:
    `ServiceDesc`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.